Getting mono 5.20 into freenas sonarr jail

Sonarr version (exact version): Latest as of this day
Mono version (if Sonarr is not running on Windows) bouncing around:
OS: Freenas 11.3
Debug logs:
Description of issue:
Been trying for days to upgrade to Mono 5.20 with 5.10 having problems, and then found after installing 6.8.1.105? that it also has problems.
There are some guides for going from 5.10 to 5.20 but they are broken and eventually leading to a a "f### #t lets just install 6.8.x.x which also has problems for Sonarr.
My question is how to install 5.20 when no package is available. Happy to work at the command line, just cant seem to get ti done and have about 25 hours into it.
Server has been down for over three weeks now due to Freenas upgrade to 11.3 removing access to legacy install and going on its merry way for bringing over the legacy plugins which started the whole mess.
Simply put, how can I get mono 5.20 into Freebsd 11.3
Thanks

1 Like

You can try to use this link:

That was my first effort and have revisited several times. The discussions show that it does not work, nobody ever figured out why, and then they ended at install 6.08.105 which has it’s own problems.

1 Like

In this particular message in the link you have already compiled packages 5.20, 6.4 and 6.8. You don’t need to build them. You just need to install mono and dependencies.

Well, you have me thinking now. your interpretation of those errors are that they have compiled, but the subsequent errors were something to do with the next steps in the script?

Dependencies were already installed, and have worked with various monos, so have not experienced any problems with.them.

So I should research installing mono after the compile, Should mono 5.10 be uninstalled first? I can probably shorten that script to just compile 5.20 and then exit avoiding the errors at the end.

My sincere thanks for your help.

You were asking, how to install 5.20, when there’s no package.

So as answer you have the link for package, you can install it over 5.10 without compiling (don’t think there will be difference), or you can remove 5.10 and and make install of 5.20 package.

If you want to build it from ports and patch - I don’t think it’s story for this thread, you can ask there and I will try to help.